Bug 1573118 - wireless-tools: Partial build flags injection
Summary: wireless-tools: Partial build flags injection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wireless-tools
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Fedora28BuildFlags
TreeView+ depends on / blocked
 
Reported: 2018-04-30 08:31 UTC by Florian Weimer
Modified: 2018-06-08 13:12 UTC (History)
4 users (show)

Fixed In Version: wireless-tools-29-19.1.fc28 wireless-tools-29-20.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-08 13:12:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Florian Weimer 2018-04-30 08:31:26 UTC
Various binaries in wireless-tools-1:29-18.1.fc28.x86_64 have not been linked with the standard Fedora linker flags (LDFLAGS) from redhat-rpm-config.  The build log does not show any attempt at LDFLAGS injection.

See https://src.fedoraproject.org/rpms/redhat-rpm-config/blob/master/f/buildflags.md for information on RPM macros and environment variables provided by the build environment.

Comment 1 Florian Weimer 2018-05-07 15:47:28 UTC
Please also provide an update for Fedora 28.  Thanks.

Comment 2 Fedora Update System 2018-05-07 17:18:13 UTC
wireless-tools-29-19.1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-272f0b3af5

Comment 3 Fedora Update System 2018-05-10 01:28:33 UTC
wireless-tools-29-19.1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-272f0b3af5

Comment 4 Fedora Update System 2018-05-11 21:13:27 UTC
wireless-tools-29-19.1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Florian Weimer 2018-05-14 07:39:15 UTC
Sorry, one day was not enough to run my tests.

wireless-tools-1:29-19.1.fc28.x86_64 still hasn't BIND_NOW for /lib64/libiw.so.29:

gcc -shared -o libiw.so.29 -Wl,-soname,libiw.so.29  -lm -lc iwlib.so

Comment 6 Fedora Update System 2018-06-04 21:12:55 UTC
wireless-tools-29-20.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8926f39fa4

Comment 7 Fedora Update System 2018-06-05 14:49:59 UTC
wireless-tools-29-20.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8926f39fa4

Comment 8 Fedora Update System 2018-06-08 13:12:23 UTC
wireless-tools-29-20.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.